Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Interface WSSEConstants

Deprecated. please use new WS Security API

    public interface WSSEConstants

Field Summary
`static String` | `ATTR_ENCODING` Deprecated. EncodingType
`static String` | `ATTR_MUST_UNDERSTAND` Deprecated. mustUnderstand
`static String` | `ATTR_ROLE` Deprecated. role
`static String` | `ATTR_TYPE` Deprecated. Type
`static String` | `ATTR_URI` Deprecated. URI
`static String` | `ATTR_VALUETYPE` Deprecated. ValueType
`static String` | `DEFAULT_ENCODING` Deprecated. UTF-8
`static String` | `DEFAULT_PREFIX` Deprecated. wsse
`static String` | `ENCODING_BASE64` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary
`static String` | `FAULT_FAILEDAUTHENTICATION` Deprecated. FailedAuthentication
`static String` | `FAULT_FAILEDCHECK` Deprecated. FailedCheck
`static String` | `FAULT_INVALIDSECURITY` Deprecated. InvalidSecurity
`static String` | `FAULT_INVALIDSECURITYTOKEN` Deprecated. InvalidSecurityToken
`static String` | `FAULT_SECURITYTOKENUNAVAILBLE` Deprecated. SecurityTokenUnavailable
`static String` | `FAULT_UNSUPPORTEDALGORITHM` Deprecated. UnsupportedAlgorithm
`static String` | `FAULT_UNSUPPORTEDSECURITYTOKEN` Deprecated. UnsupportedSecurityToken
`static String` | `PASSWORDTYPE_PASSWORDDIGEST` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordDigest
`static String` | `PASSWORDTYPE_PASSWORDTEXT` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText
`static XMLName` | `QNAME_ATTR_VALUETYPE` Deprecated.
`static XMLName` | `QNAME_FAULT_FAILEDAUTHENTICATION` Deprecated.
`static XMLName` | `QNAME_FAULT_FAILEDCHECK` Deprecated.
`static XMLName` | `QNAME_FAULT_INVALIDSECURITY` Deprecated.
`static XMLName` | `QNAME_FAULT_INVALIDSECURITYTOKEN` Deprecated.
`static XMLName` | `QNAME_FAULT_SECURITYTOKENUNAVAILBLE` Deprecated.
`static XMLName` | `QNAME_FAULT_UNSUPPORTEDALGORITHM` Deprecated.
`static XMLName` | `QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN` Deprecated.
`static String` | `TAG_BINARY_SECURITY_TOKEN` Deprecated. BinarySecurityToken
`static String` | `TAG_KEY_IDENTIFIER` Deprecated. KeyIdentifier
`static String` | `TAG_NONCE` Deprecated. Nonce
`static String` | `TAG_PASSWORD` Deprecated. Password
`static String` | `TAG_REFERENCE` Deprecated. Reference
`static String` | `TAG_SECURITY` Deprecated. Security
`static String` | `TAG_SECURITY_TOKEN_REFERENCE` Deprecated. SecurityTokenReference
`static String` | `TAG_USERNAME` Deprecated. Username
`static String` | `TAG_USERNAME_TOKEN` Deprecated. UsernameToken
`static int` | `TC_BINARY_SECURITY_TOKEN` Deprecated.
`static int` | `TC_KEY_IDENTIFIER` Deprecated.
`static int` | `TC_PASSWORD` Deprecated.
`static int` | `TC_REFERENCE` Deprecated.
`static int` | `TC_SECURITY` Deprecated.
`static int` | `TC_SECURITY_TOKEN_REFERNCE` Deprecated.
`static int` | `TC_USERNAME` Deprecated.
`static int` | `TC_USERNAME_TOKEN` Deprecated.
`static String` | `USERNAME_TOKEN_URI` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0
`static String` | `VALUETYPE_PKCS7` Deprecated. http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#PKCS7
`static String` | `VALUETYPE_PKIPATH` Deprecated. http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509PKIPathv1
`static String` | `VALUETYPE_X509SKID` Deprecated. http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier
`static String` | `VALUETYPE_X509V3` Deprecated. http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509v3
`static String` | `WSSE_PREFIX_URI` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0
`static String` | `WSSE_URI` Deprecated. http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
`static String` | `X509_URI` Deprecated. http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0

Field Detail

### WSSE_URI

    static final String WSSE_URI

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd

### USERNAME_TOKEN_URI

    static final String USERNAME_TOKEN_URI

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0

### X509_URI

    static final String X509_URI

  Deprecated.
  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0

### WSSE_PREFIX_URI

    static final String WSSE_PREFIX_URI

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0

### DEFAULT_PREFIX

    static final String DEFAULT_PREFIX

  Deprecated.
  wsse

  See Also:
    Constant Field Values

### DEFAULT_ENCODING

    static final String DEFAULT_ENCODING

  Deprecated.
  UTF-8

  See Also:
    Constant Field Values

### ATTR_VALUETYPE

    static final String ATTR_VALUETYPE

  Deprecated.
  ValueType

  See Also:
    Constant Field Values

### ATTR_ENCODING

    static final String ATTR_ENCODING

  Deprecated.
  EncodingType

  See Also:
    Constant Field Values

### ATTR_TYPE

    static final String ATTR_TYPE

  Deprecated.
  Type

  See Also:
    Constant Field Values

### ATTR_URI

    static final String ATTR_URI

  Deprecated.
  URI

  See Also:
    Constant Field Values

### QNAME_ATTR_VALUETYPE

    static final XMLName QNAME_ATTR_VALUETYPE

  Deprecated.

### ATTR_ROLE

    static final String ATTR_ROLE

  Deprecated.
  role

  See Also:
    Constant Field Values

### ATTR_MUST_UNDERSTAND

    static final String ATTR_MUST_UNDERSTAND

  Deprecated.
  mustUnderstand

  See Also:
    Constant Field Values

### FAULT_UNSUPPORTEDSECURITYTOKEN

    static final String FAULT_UNSUPPORTEDSECURITYTOKEN

  Deprecated.
  UnsupportedSecurityToken

  See Also:
    Constant Field Values

### FAULT_UNSUPPORTEDALGORITHM

    static final String FAULT_UNSUPPORTEDALGORITHM

  Deprecated.
  UnsupportedAlgorithm

  See Also:
    Constant Field Values

### FAULT_INVALIDSECURITY

    static final String FAULT_INVALIDSECURITY

  Deprecated.
  InvalidSecurity

  See Also:
    Constant Field Values

### FAULT_INVALIDSECURITYTOKEN

    static final String FAULT_INVALIDSECURITYTOKEN

  Deprecated.
  InvalidSecurityToken

  See Also:
    Constant Field Values

### FAULT_FAILEDAUTHENTICATION

    static final String FAULT_FAILEDAUTHENTICATION

  Deprecated.
  FailedAuthentication

  See Also:
    Constant Field Values

### FAULT_FAILEDCHECK

    static final String FAULT_FAILEDCHECK

  Deprecated.
  FailedCheck

  See Also:
    Constant Field Values

### FAULT_SECURITYTOKENUNAVAILBLE

    static final String FAULT_SECURITYTOKENUNAVAILBLE

  Deprecated.
  SecurityTokenUnavailable

  See Also:
    Constant Field Values

### QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN

    static final XMLName QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN

  Deprecated.

### QNAME_FAULT_UNSUPPORTEDALGORITHM

    static final XMLName QNAME_FAULT_UNSUPPORTEDALGORITHM

  Deprecated.

### QNAME_FAULT_INVALIDSECURITY

    static final XMLName QNAME_FAULT_INVALIDSECURITY

  Deprecated.

### QNAME_FAULT_INVALIDSECURITYTOKEN

    static final XMLName QNAME_FAULT_INVALIDSECURITYTOKEN

  Deprecated.

### QNAME_FAULT_FAILEDAUTHENTICATION

    static final XMLName QNAME_FAULT_FAILEDAUTHENTICATION

  Deprecated.

### QNAME_FAULT_FAILEDCHECK

    static final XMLName QNAME_FAULT_FAILEDCHECK

  Deprecated.

### QNAME_FAULT_SECURITYTOKENUNAVAILBLE

    static final XMLName QNAME_FAULT_SECURITYTOKENUNAVAILBLE

  Deprecated.

### VALUETYPE_X509SKID

    static final String VALUETYPE_X509SKID

  Deprecated.
  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier

### VALUETYPE_X509V3

    static final String VALUETYPE_X509V3

  Deprecated.
  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509v3

### VALUETYPE_PKCS7

    static final String VALUETYPE_PKCS7

  Deprecated.
  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#PKCS7

### VALUETYPE_PKIPATH

    static final String VALUETYPE_PKIPATH

  Deprecated.
  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509PKIPathv1

### ENCODING_BASE64

    static final String ENCODING_BASE64

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary

### PASSWORDTYPE_PASSWORDTEXT

    static final String PASSWORDTYPE_PASSWORDTEXT

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText

### PASSWORDTYPE_PASSWORDDIGEST

    static final String PASSWORDTYPE_PASSWORDDIGEST

  Deprecated.
  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordDigest

### TAG_BINARY_SECURITY_TOKEN

    static final String TAG_BINARY_SECURITY_TOKEN

  Deprecated.
  BinarySecurityToken

  See Also:
    Constant Field Values

### TAG_KEY_IDENTIFIER

    static final String TAG_KEY_IDENTIFIER

  Deprecated.
  KeyIdentifier

  See Also:
    Constant Field Values

### TAG_PASSWORD

    static final String TAG_PASSWORD

  Deprecated.
  Password

  See Also:
    Constant Field Values

### TAG_REFERENCE

    static final String TAG_REFERENCE

  Deprecated.
  Reference

  See Also:
    Constant Field Values

### TAG_SECURITY

    static final String TAG_SECURITY

  Deprecated.
  Security

  See Also:
    Constant Field Values

### TAG_SECURITY_TOKEN_REFERENCE

    static final String TAG_SECURITY_TOKEN_REFERENCE

  Deprecated.
  SecurityTokenReference

  See Also:
    Constant Field Values

### TAG_USERNAME

    static final String TAG_USERNAME

  Deprecated.
  Username

  See Also:
    Constant Field Values

### TAG_USERNAME_TOKEN

    static final String TAG_USERNAME_TOKEN

  Deprecated.
  UsernameToken

  See Also:
    Constant Field Values

### TAG_NONCE

    static final String TAG_NONCE

  Deprecated.
  Nonce

  See Also:
    Constant Field Values

### TC_BINARY_SECURITY_TOKEN

    static final int TC_BINARY_SECURITY_TOKEN

  Deprecated.
  See Also:
    Constant Field Values

### TC_KEY_IDENTIFIER

    static final int TC_KEY_IDENTIFIER

  Deprecated.
  See Also:
    Constant Field Values

### TC_PASSWORD

    static final int TC_PASSWORD

  Deprecated.
  See Also:
    Constant Field Values

### TC_REFERENCE

    static final int TC_REFERENCE

  Deprecated.
  See Also:
    Constant Field Values

### TC_SECURITY

    static final int TC_SECURITY

  Deprecated.
  See Also:
    Constant Field Values

### TC_SECURITY_TOKEN_REFERNCE

    static final int TC_SECURITY_TOKEN_REFERNCE

  Deprecated.
  See Also:
    Constant Field Values

### TC_USERNAME

    static final int TC_USERNAME

  Deprecated.
  See Also:
    Constant Field Values

### TC_USERNAME_TOKEN

    static final int TC_USERNAME_TOKEN

  Deprecated.
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD